Package com.google.javascript.jscomp.graph

# Class GraphReachability.EdgeTuple<N,E>

java.lang.Object
com.google.javascript.jscomp.graph.GraphReachability.EdgeTuple<N,E>

Enclosing class:
  `GraphReachability<N,E>`

public static final class GraphReachability.EdgeTuple<N,E> extends Object
Represents Source Node, Edge and Destination Node.

## Field Summary

Fields
Modifier and Type
Field
Description
`final N`
`destNode`
`final E`
`edge`
`final N`
`sourceNode`

## Constructor Summary

Constructors
Constructor
Description
`EdgeTuple(N sourceNode, E edge, N destNode)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sourceNode

public final N sourceNode

### edge

public final E edge

### destNode

public final N destNode

## Constructor Details

### EdgeTuple

public EdgeTuple(N sourceNode, E edge, N destNode)